package com.mortals.xhx.module.datum.model;

import java.util.List;
import com.mortals.xhx.module.datum.model.DatumCategoryEntity;
/**
* 材料分类查询对象
*
* @author zxfei
* @date 2023-06-21
*/
public class DatumCategoryQuery extends DatumCategoryEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 分类id */
    private Long categoryIdStart;

    /** 结束 分类id */
    private Long categoryIdEnd;

    /** 增加 分类id */
    private Long categoryIdIncrement;

    /** 分类id列表 */
    private List <Long> categoryIdList;

    /** 分类id排除列表 */
    private List <Long> categoryIdNotList;

    /** 分类名称 */
    private List<String> categoryNameList;

    /** 分类名称排除列表 */
    private List <String> categoryNameNotList;
    /** 开始 材料Id */
    private Long materialIdStart;

    /** 结束 材料Id */
    private Long materialIdEnd;

    /** 增加 材料Id */
    private Long materialIdIncrement;

    /** 材料Id列表 */
    private List <Long> materialIdList;

    /** 材料Id排除列表 */
    private List <Long> materialIdNotList;

    /** 材料名称 */
    private List<String> materialNameList;

    /** 材料名称排除列表 */
    private List <String> materialNameNotList;
    /** 开始 排序字段 */
    private Integer sortStart;

    /** 结束 排序字段 */
    private Integer sortEnd;

    /** 增加 排序字段 */
    private Integer sortIncrement;

    /** 排序字段列表 */
    private List <Integer> sortList;

    /** 排序字段排除列表 */
    private List <Integer> sortNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DatumCategoryQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DatumCategoryQuery> andConditionList;

    public DatumCategoryQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 分类id
    * @return categoryIdStart
    */
    public Long getCategoryIdStart(){
        return this.categoryIdStart;
    }

    /**
    * 设置 开始 分类id
    * @param categoryIdStart
    */
    public void setCategoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
    }

    /**
    * 获取 结束 分类id
    * @return $categoryIdEnd
    */
    public Long getCategoryIdEnd(){
        return this.categoryIdEnd;
    }

    /**
    * 设置 结束 分类id
    * @param categoryIdEnd
    */
    public void setCategoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
    }

    /**
    * 获取 增加 分类id
    * @return categoryIdIncrement
    */
    public Long getCategoryIdIncrement(){
        return this.categoryIdIncrement;
    }

    /**
    * 设置 增加 分类id
    * @param categoryIdIncrement
    */
    public void setCategoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
    }

    /**
    * 获取 分类id
    * @return categoryIdList
    */
    public List<Long> getCategoryIdList(){
        return this.categoryIdList;
    }

    /**
    * 设置 分类id
    * @param categoryIdList
    */
    public void setCategoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
    }

    /**
    * 获取 分类id
    * @return categoryIdNotList
    */
    public List<Long> getCategoryIdNotList(){
        return this.categoryIdNotList;
    }

    /**
    * 设置 分类id
    * @param categoryIdNotList
    */
    public void setCategoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
    }


    /**
    * 获取 分类名称
    * @return categoryNameList
    */
    public List<String> getCategoryNameList(){
        return this.categoryNameList;
    }

    /**
    * 设置 分类名称
    * @param categoryNameList
    */
    public void setCategoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
    }

    /**
    * 获取 分类名称
    * @return categoryNameNotList
    */
    public List<String> getCategoryNameNotList(){
        return this.categoryNameNotList;
    }

    /**
    * 设置 分类名称
    * @param categoryNameNotList
    */
    public void setCategoryNameNotList(List<String> categoryNameNotList){
        this.categoryNameNotList = categoryNameNotList;
    }

    /**
    * 获取 开始 材料Id
    * @return materialIdStart
    */
    public Long getMaterialIdStart(){
        return this.materialIdStart;
    }

    /**
    * 设置 开始 材料Id
    * @param materialIdStart
    */
    public void setMaterialIdStart(Long materialIdStart){
        this.materialIdStart = materialIdStart;
    }

    /**
    * 获取 结束 材料Id
    * @return $materialIdEnd
    */
    public Long getMaterialIdEnd(){
        return this.materialIdEnd;
    }

    /**
    * 设置 结束 材料Id
    * @param materialIdEnd
    */
    public void setMaterialIdEnd(Long materialIdEnd){
        this.materialIdEnd = materialIdEnd;
    }

    /**
    * 获取 增加 材料Id
    * @return materialIdIncrement
    */
    public Long getMaterialIdIncrement(){
        return this.materialIdIncrement;
    }

    /**
    * 设置 增加 材料Id
    * @param materialIdIncrement
    */
    public void setMaterialIdIncrement(Long materialIdIncrement){
        this.materialIdIncrement = materialIdIncrement;
    }

    /**
    * 获取 材料Id
    * @return materialIdList
    */
    public List<Long> getMaterialIdList(){
        return this.materialIdList;
    }

    /**
    * 设置 材料Id
    * @param materialIdList
    */
    public void setMaterialIdList(List<Long> materialIdList){
        this.materialIdList = materialIdList;
    }

    /**
    * 获取 材料Id
    * @return materialIdNotList
    */
    public List<Long> getMaterialIdNotList(){
        return this.materialIdNotList;
    }

    /**
    * 设置 材料Id
    * @param materialIdNotList
    */
    public void setMaterialIdNotList(List<Long> materialIdNotList){
        this.materialIdNotList = materialIdNotList;
    }


    /**
    * 获取 材料名称
    * @return materialNameList
    */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
    * 设置 材料名称
    * @param materialNameList
    */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }

    /**
    * 获取 材料名称
    * @return materialNameNotList
    */
    public List<String> getMaterialNameNotList(){
        return this.materialNameNotList;
    }

    /**
    * 设置 材料名称
    * @param materialNameNotList
    */
    public void setMaterialNameNotList(List<String> materialNameNotList){
        this.materialNameNotList = materialNameNotList;
    }

    /**
    * 获取 开始 排序字段
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序字段
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序字段
    * @return $sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序字段
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序字段
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序字段
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序字段
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序字段
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
    * 获取 排序字段
    * @return sortNotList
    */
    public List<Integer> getSortNotList(){
        return this.sortNotList;
    }

    /**
    * 设置 排序字段
    * @param sortNotList
    */
    public void setSortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DatumCategoryQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DatumCategoryQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DatumCategoryQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DatumCategoryQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DatumCategoryQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public DatumCategoryQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  分类id
    * @param categoryId
    */
    public DatumCategoryQuery categoryId(Long categoryId){
	    setCategoryId(categoryId);
		return this;
    }
	
	 /**
    * 设置 开始 分类id
    * @param categoryIdStart
    */
    public DatumCategoryQuery categoryIdStart(Long categoryIdStart){
		this.categoryIdStart = categoryIdStart;
		return this;
    }

    /**
    * 设置 结束 分类id
    * @param categoryIdEnd
    */
    public DatumCategoryQuery categoryIdEnd(Long categoryIdEnd){
		this.categoryIdEnd = categoryIdEnd;
		return this;
    }

    /**
    * 设置 增加 分类id
    * @param categoryIdIncrement
    */
    public DatumCategoryQuery categoryIdIncrement(Long categoryIdIncrement){
		this.categoryIdIncrement = categoryIdIncrement;
		return this;
    }

    /**
    * 设置 分类id
    * @param categoryIdList
    */
    public DatumCategoryQuery categoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
		return this;
        }

        /**
        * 设置 分类id
        * @param categoryIdNotList
        */
        public DatumCategoryQuery categoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
        return this;
        }


	/**
    * 设置 分类名称
    * @param categoryName
    */
    public DatumCategoryQuery categoryName(String categoryName){
        setCategoryName(categoryName);
		return this;
    }

    /**
    * 设置 分类名称
    * @param categoryNameList
    */
    public DatumCategoryQuery categoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
		return this;
    }

    /**
    * 设置  材料Id
    * @param materialId
    */
    public DatumCategoryQuery materialId(Long materialId){
	    setMaterialId(materialId);
		return this;
    }
	
	 /**
    * 设置 开始 材料Id
    * @param materialIdStart
    */
    public DatumCategoryQuery materialIdStart(Long materialIdStart){
		this.materialIdStart = materialIdStart;
		return this;
    }

    /**
    * 设置 结束 材料Id
    * @param materialIdEnd
    */
    public DatumCategoryQuery materialIdEnd(Long materialIdEnd){
		this.materialIdEnd = materialIdEnd;
		return this;
    }

    /**
    * 设置 增加 材料Id
    * @param materialIdIncrement
    */
    public DatumCategoryQuery materialIdIncrement(Long materialIdIncrement){
		this.materialIdIncrement = materialIdIncrement;
		return this;
    }

    /**
    * 设置 材料Id
    * @param materialIdList
    */
    public DatumCategoryQuery materialIdList(List<Long> materialIdList){
        this.materialIdList = materialIdList;
		return this;
        }

        /**
        * 设置 材料Id
        * @param materialIdNotList
        */
        public DatumCategoryQuery materialIdNotList(List<Long> materialIdNotList){
        this.materialIdNotList = materialIdNotList;
        return this;
        }


	/**
    * 设置 材料名称
    * @param materialName
    */
    public DatumCategoryQuery materialName(String materialName){
        setMaterialName(materialName);
		return this;
    }

    /**
    * 设置 材料名称
    * @param materialNameList
    */
    public DatumCategoryQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
		return this;
    }

    /**
    * 设置  排序字段
    * @param sort
    */
    public DatumCategoryQuery sort(Integer sort){
	    setSort(sort);
		return this;
    }
	
	 /**
    * 设置 开始 排序字段
    * @param sortStart
    */
    public DatumCategoryQuery sortStart(Integer sortStart){
		this.sortStart = sortStart;
		return this;
    }

    /**
    * 设置 结束 排序字段
    * @param sortEnd
    */
    public DatumCategoryQuery sortEnd(Integer sortEnd){
		this.sortEnd = sortEnd;
		return this;
    }

    /**
    * 设置 增加 排序字段
    * @param sortIncrement
    */
    public DatumCategoryQuery sortIncrement(Integer sortIncrement){
		this.sortIncrement = sortIncrement;
		return this;
    }

    /**
    * 设置 排序字段
    * @param sortList
    */
    public DatumCategoryQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
        }

        /**
        * 设置 排序字段
        * @param sortNotList
        */
        public DatumCategoryQuery sortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
        return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DatumCategoryQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DatumCategoryQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DatumCategoryQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DatumCategoryQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DatumCategoryQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public DatumCategoryQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }

    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DatumCategoryQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DatumCategoryQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DatumCategoryQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DatumCategoryQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DatumCategoryQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public DatumCategoryQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DatumCategoryQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DatumCategoryQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DatumCategoryQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DatumCategoryQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}